Please add Wookie #558

Closed
orthecreedence opened this Issue Sep 2, 2013 · 7 comments

Projects

None yet

2 participants

@orthecreedence

Hello, I would like to get Wookie into Quicklisp when you get a chance. Thanks!

@quicklisp
Owner

There are several system files named plugin.asd. Should those just be ignored or what?

@orthecreedence

Yes, Wookie has a custom plugin system built off standardized file names (plugin.asd). They are safe to ignore.

@quicklisp
Owner

It doesn't build for me. There's a reference to ql:quickload, which is not available to libraries.

@orthecreedence

Ok. Still uses ql:quickload but does so using a macro w/ (find-package :ql) and (intern "QUICKLOAD" :ql). Should build now.

@quicklisp
Owner

There's another reference to quicklisp-client::system-not-found in
plugin.lisp.

@orthecreedence

Right you are. Fixed.

@quicklisp quicklisp pushed a commit that referenced this issue Oct 5, 2013
@xach xach Add wookie per #558. e62d328
@quicklisp
Owner

Works fine.

@quicklisp quicklisp closed this Feb 14, 2014
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment